(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_aa () Real)
(declare-fun inv_ad () Real)
(declare-fun inv_aq () Real)
(declare-fun inv_ar () Real)
(declare-fun inv_a () Real)
(declare-fun inv_dd () Real)
(declare-fun inv_dq () Real)
(declare-fun inv_dr () Real)
(declare-fun inv_d () Real)
(declare-fun inv_qq () Real)
(declare-fun inv_qr () Real)
(declare-fun inv_q () Real)
(declare-fun inv_rr () Real)
(declare-fun inv_r () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_0 () Real)

(assert (not (and (= 0 inv_aa) (= 0 inv_ad) (= 0 inv_aq) (= 0 inv_ar) (= 0 inv_a) (= 0 inv_dd) (= 0 inv_dq) (= 0 inv_dr) (= 0 inv_d) (= 0 inv_qq) (= 0 inv_qr) (= 0 inv_q) (= 0 inv_rr) (= 0 inv_r) (= 0 inv_0))))
(assert (= 0 inv_dd))
(assert (= 0 (+ inv_ad inv_dr)))
(assert (= 0 inv_d))
(assert (= 0 (+ inv_aa inv_ar inv_rr)))
(assert (= 0 (+ inv_a inv_r)))
(assert (= 0 inv_0))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_0)) inv_aa)))
(assert (= 0 (+ (* (- 1) (* inv_ad phi1_0)) inv_ad (* (- 1) inv_ar))))
(assert (= 0 (+ (* (- 1) (* inv_aq phi1_0)) inv_aq)))
(assert (= 0 (+ (* (- 1) (* inv_ar phi1_0)) inv_ar)))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_0)) inv_a inv_aq)))
(assert (= 0 (+ (* (- 1) (* inv_dd phi1_0)) inv_dd (* (- 1) inv_dr) inv_rr)))
(assert (= 0 (+ (* (- 1) (* inv_dq phi1_0)) inv_dq (* (- 1) inv_qr))))
(assert (= 0 (+ (* (- 1) (* inv_dr phi1_0)) inv_dr (* (- 2) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_d phi1_0)) inv_d inv_dq (* (- 1) inv_qr) (* (- 1) inv_r))))
(assert (= 0 (+ (* (- 1) (* inv_qq phi1_0)) inv_qq)))
(assert (= 0 (+ (* (- 1) (* inv_qr phi1_0)) inv_qr)))
(assert (= 0 (+ (* (- 1) (* inv_q phi1_0)) inv_q (* 2 inv_qq))))
(assert (= 0 (+ (* (- 1) (* inv_rr phi1_0)) inv_rr)))
(assert (= 0 (+ inv_qr (* (- 1) (* inv_r phi1_0)) inv_r)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_0)) inv_0 inv_q inv_qq)))

(check-sat)
(get-model)
