(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_aa () Real)
(declare-fun inv_ad () Real)
(declare-fun inv_aq () Real)
(declare-fun inv_ar () Real)
(declare-fun inv_a () Real)
(declare-fun inv_dd () Real)
(declare-fun inv_dq () Real)
(declare-fun inv_dr () Real)
(declare-fun inv_d () Real)
(declare-fun inv_qq () Real)
(declare-fun inv_qr () Real)
(declare-fun inv_q () Real)
(declare-fun inv_rr () Real)
(declare-fun inv_r () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn2_a () Real)
(declare-fun syn1_a () Real)
(declare-fun syn2_d () Real)
(declare-fun syn1_d () Real)
(declare-fun syn2_q () Real)
(declare-fun syn1_q () Real)
(declare-fun syn2_r () Real)
(declare-fun syn1_r () Real)
(declare-fun syn2_0 () Real)
(declare-fun syn1_0 () Real)

(assert (not (and (= 0 inv_aa) (= 0 inv_ad) (= 0 inv_aq) (= 0 inv_ar) (= 0 inv_a) (= 0 inv_dd) (= 0 inv_dq) (= 0 inv_dr) (= 0 inv_d) (= 0 inv_qq) (= 0 inv_qr) (= 0 inv_q) (= 0 inv_rr) (= 0 inv_r) (= 0 inv_0))))
(assert (= 0 inv_dd))
(assert (= 0 (+ inv_ad inv_dr)))
(assert (= 0 inv_d))
(assert (= 0 (+ inv_aa inv_ar inv_rr)))
(assert (= 0 (+ inv_a inv_r)))
(assert (= 0 inv_0))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_0)) inv_aa (* inv_aq syn2_a) (* inv_ar syn1_a) (* inv_qq syn2_a syn2_a) (* inv_qr syn1_a syn2_a) (* inv_rr syn1_a syn1_a))))
(assert (= 0 (+ (* (- 1) (* inv_ad phi1_0)) inv_ad (* inv_aq syn2_d) (* inv_ar syn1_d) (* inv_dq syn2_a) (* inv_dr syn1_a) (* 2 (* inv_qq syn2_a syn2_d)) (* inv_qr syn1_a syn2_d) (* inv_qr syn1_d syn2_a) (* 2 (* inv_rr syn1_a syn1_d)))))
(assert (= 0 (+ (* (- 1) (* inv_aq phi1_0)) (* inv_aq syn2_q) (* inv_ar syn1_q) (* 2 (* inv_qq syn2_a syn2_q)) (* inv_qr syn1_a syn2_q) (* inv_qr syn1_q syn2_a) (* 2 (* inv_rr syn1_a syn1_q)))))
(assert (= 0 (+ (* inv_aq syn2_r) (* (- 1) (* inv_ar phi1_0)) (* inv_ar syn1_r) (* 2 (* inv_qq syn2_a syn2_r)) (* inv_qr syn1_a syn2_r) (* inv_qr syn1_r syn2_a) (* 2 (* inv_rr syn1_a syn1_r)))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_0)) inv_a (* inv_aq syn2_0) (* inv_ar syn1_0) (* inv_q syn2_a) (* 2 (* inv_qq syn2_0 syn2_a)) (* inv_qr syn1_0 syn2_a) (* inv_qr syn1_a syn2_0) (* inv_r syn1_a) (* 2 (* inv_rr syn1_0 syn1_a)))))
(assert (= 0 (+ (* (- 1) (* inv_dd phi1_0)) inv_dd (* inv_dq syn2_d) (* inv_dr syn1_d) (* inv_qq syn2_d syn2_d) (* inv_qr syn1_d syn2_d) (* inv_rr syn1_d syn1_d))))
(assert (= 0 (+ (* (- 1) (* inv_dq phi1_0)) (* inv_dq syn2_q) (* inv_dr syn1_q) (* 2 (* inv_qq syn2_d syn2_q)) (* inv_qr syn1_d syn2_q) (* inv_qr syn1_q syn2_d) (* 2 (* inv_rr syn1_d syn1_q)))))
(assert (= 0 (+ (* inv_dq syn2_r) (* (- 1) (* inv_dr phi1_0)) (* inv_dr syn1_r) (* 2 (* inv_qq syn2_d syn2_r)) (* inv_qr syn1_d syn2_r) (* inv_qr syn1_r syn2_d) (* 2 (* inv_rr syn1_d syn1_r)))))
(assert (= 0 (+ (* (- 1) (* inv_d phi1_0)) inv_d (* inv_dq syn2_0) (* inv_dr syn1_0) (* inv_q syn2_d) (* 2 (* inv_qq syn2_0 syn2_d)) (* inv_qr syn1_0 syn2_d) (* inv_qr syn1_d syn2_0) (* inv_r syn1_d) (* 2 (* inv_rr syn1_0 syn1_d)))))
(assert (= 0 (+ (* (- 1) (* inv_qq phi1_0)) (* inv_qq syn2_q syn2_q) (* inv_qr syn1_q syn2_q) (* inv_rr syn1_q syn1_q))))
(assert (= 0 (+ (* 2 (* inv_qq syn2_q syn2_r)) (* (- 1) (* inv_qr phi1_0)) (* inv_qr syn1_q syn2_r) (* inv_qr syn1_r syn2_q) (* 2 (* inv_rr syn1_q syn1_r)))))
(assert (= 0 (+ (* (- 1) (* inv_q phi1_0)) (* inv_q syn2_q) (* 2 (* inv_qq syn2_0 syn2_q)) (* inv_qr syn1_0 syn2_q) (* inv_qr syn1_q syn2_0) (* inv_r syn1_q) (* 2 (* inv_rr syn1_0 syn1_q)))))
(assert (= 0 (+ (* inv_qq syn2_r syn2_r) (* inv_qr syn1_r syn2_r) (* (- 1) (* inv_rr phi1_0)) (* inv_rr syn1_r syn1_r))))
(assert (= 0 (+ (* inv_q syn2_r) (* 2 (* inv_qq syn2_0 syn2_r)) (* inv_qr syn1_0 syn2_r) (* inv_qr syn1_r syn2_0) (* (- 1) (* inv_r phi1_0)) (* inv_r syn1_r) (* 2 (* inv_rr syn1_0 syn1_r)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_0)) inv_0 (* inv_q syn2_0) (* inv_qq syn2_0 syn2_0) (* inv_qr syn1_0 syn2_0) (* inv_r syn1_0) (* inv_rr syn1_0 syn1_0))))
(assert (= 4 4))
(assert (= (+ syn1_0 (* 4 syn1_a) (* 3 syn1_d) (* 4 syn1_r)) 1))
(assert (= (+ syn2_0 (* 4 syn2_a) (* 3 syn2_d) (* 4 syn2_r)) 1))
(assert (= 4 4))
(assert (= 3 3))
(assert (= 4 4))
(assert (= 3 3))
(assert (= (+ syn2_0 (* 4 syn2_a) (* 3 syn2_d) (* 4 syn2_r)) 1))
(assert (= (+ syn1_0 (* 4 syn1_a) (* 3 syn1_d) (* 4 syn1_r)) 1))
(assert (= 4 4))
(assert (= 3 3))
(assert (= (+ syn2_0 (* 4 syn2_a) (* 3 syn2_d) (* 4 syn2_r)) 1))
(assert (= (+ syn1_0 (* 4 syn1_a) (* 3 syn1_d) (* 4 syn1_r)) 1))
(assert (= 5 5))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 5 (* syn1_a syn1_r)) (* 5 syn1_a) (* 2 (* syn1_d syn1_r)) (* 2 syn1_d) (* syn1_q syn2_0) (* 5 (* syn1_q syn2_a)) (* 2 (* syn1_q syn2_d)) (* 5 (* syn1_q syn2_r)) (* 5 syn1_r)) 1))
(assert (= (+ (* syn1_0 syn2_r) (* 5 (* syn1_a syn2_r)) (* 2 (* syn1_d syn2_r)) (* 5 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 5 (* syn2_a syn2_q)) (* 5 syn2_a) (* 2 (* syn2_d syn2_q)) (* 2 syn2_d) (* 5 (* syn2_q syn2_r))) 2))
(assert (= 5 5))
(assert (= 2 2))
(assert (= 5 5))
(assert (= 2 2))
(assert (= (+ (* syn1_0 syn2_r) (* 5 (* syn1_a syn2_r)) (* 2 (* syn1_d syn2_r)) (* 5 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 5 (* syn2_a syn2_q)) (* 5 syn2_a) (* 2 (* syn2_d syn2_q)) (* 2 syn2_d) (* 5 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 5 (* syn1_a syn1_r)) (* 5 syn1_a) (* 2 (* syn1_d syn1_r)) (* 2 syn1_d) (* syn1_q syn2_0) (* 5 (* syn1_q syn2_a)) (* 2 (* syn1_q syn2_d)) (* 5 (* syn1_q syn2_r)) (* 5 syn1_r)) 1))
(assert (= 5 5))
(assert (= 2 2))
(assert (= (+ (* syn1_0 syn2_r) (* 5 (* syn1_a syn2_r)) (* 2 (* syn1_d syn2_r)) (* 5 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 5 (* syn2_a syn2_q)) (* 5 syn2_a) (* 2 (* syn2_d syn2_q)) (* 2 syn2_d) (* 5 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 5 (* syn1_a syn1_r)) (* 5 syn1_a) (* 2 (* syn1_d syn1_r)) (* 2 syn1_d) (* syn1_q syn2_0) (* 5 (* syn1_q syn2_a)) (* 2 (* syn1_q syn2_d)) (* 5 (* syn1_q syn2_r)) (* 5 syn1_r)) 1))
(assert (= 5 5))
(assert (= 2 2))
(assert (= 5 5))
(assert (= 2 2))
(assert (= (+ (* syn1_0 syn2_r) (* 5 (* syn1_a syn2_r)) (* 2 (* syn1_d syn2_r)) (* 5 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 5 (* syn2_a syn2_q)) (* 5 syn2_a) (* 2 (* syn2_d syn2_q)) (* 2 syn2_d) (* 5 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 5 (* syn1_a syn1_r)) (* 5 syn1_a) (* 2 (* syn1_d syn1_r)) (* 2 syn1_d) (* syn1_q syn2_0) (* 5 (* syn1_q syn2_a)) (* 2 (* syn1_q syn2_d)) (* 5 (* syn1_q syn2_r)) (* 5 syn1_r)) 1))
(assert (= 5 5))
(assert (= 2 2))
(assert (= (+ (* syn1_0 syn2_r) (* 5 (* syn1_a syn2_r)) (* 2 (* syn1_d syn2_r)) (* 5 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 5 (* syn2_a syn2_q)) (* 5 syn2_a) (* 2 (* syn2_d syn2_q)) (* 2 syn2_d) (* 5 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 5 (* syn1_a syn1_r)) (* 5 syn1_a) (* 2 (* syn1_d syn1_r)) (* 2 syn1_d) (* syn1_q syn2_0) (* 5 (* syn1_q syn2_a)) (* 2 (* syn1_q syn2_d)) (* 5 (* syn1_q syn2_r)) (* 5 syn1_r)) 1))
(assert (= 1 1))
(assert (= (+ syn1_0 syn1_a syn1_d syn1_r) 0))
(assert (= (+ syn2_0 syn2_a syn2_d syn2_r) 1))
(assert (= 1 1))
(assert (= 1 1))
(assert (= 1 1))
(assert (= 1 1))
(assert (= (+ syn2_0 syn2_a syn2_d syn2_r) 1))
(assert (= (+ syn1_0 syn1_a syn1_d syn1_r) 0))
(assert (= 1 1))
(assert (= 1 1))
(assert (= (+ syn2_0 syn2_a syn2_d syn2_r) 1))
(assert (= (+ syn1_0 syn1_a syn1_d syn1_r) 0))
(assert (= 15 15))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 15 (* syn1_a syn1_r)) (* 15 syn1_a) (* 6 (* syn1_d syn1_r)) (* 6 syn1_d) (* syn1_q syn2_0) (* 15 (* syn1_q syn2_a)) (* 6 (* syn1_q syn2_d)) (* 15 (* syn1_q syn2_r)) (* 15 syn1_r)) 3))
(assert (= (+ (* syn1_0 syn2_r) (* 15 (* syn1_a syn2_r)) (* 6 (* syn1_d syn2_r)) (* 15 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 15 (* syn2_a syn2_q)) (* 15 syn2_a) (* 6 (* syn2_d syn2_q)) (* 6 syn2_d) (* 15 (* syn2_q syn2_r))) 2))
(assert (= 15 15))
(assert (= 6 6))
(assert (= 15 15))
(assert (= 6 6))
(assert (= (+ (* syn1_0 syn2_r) (* 15 (* syn1_a syn2_r)) (* 6 (* syn1_d syn2_r)) (* 15 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 15 (* syn2_a syn2_q)) (* 15 syn2_a) (* 6 (* syn2_d syn2_q)) (* 6 syn2_d) (* 15 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 15 (* syn1_a syn1_r)) (* 15 syn1_a) (* 6 (* syn1_d syn1_r)) (* 6 syn1_d) (* syn1_q syn2_0) (* 15 (* syn1_q syn2_a)) (* 6 (* syn1_q syn2_d)) (* 15 (* syn1_q syn2_r)) (* 15 syn1_r)) 3))
(assert (= 15 15))
(assert (= 6 6))
(assert (= (+ (* syn1_0 syn2_r) (* 15 (* syn1_a syn2_r)) (* 6 (* syn1_d syn2_r)) (* 15 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 15 (* syn2_a syn2_q)) (* 15 syn2_a) (* 6 (* syn2_d syn2_q)) (* 6 syn2_d) (* 15 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 15 (* syn1_a syn1_r)) (* 15 syn1_a) (* 6 (* syn1_d syn1_r)) (* 6 syn1_d) (* syn1_q syn2_0) (* 15 (* syn1_q syn2_a)) (* 6 (* syn1_q syn2_d)) (* 15 (* syn1_q syn2_r)) (* 15 syn1_r)) 3))
(assert (= 15 15))
(assert (= 6 6))
(assert (= 15 15))
(assert (= 6 6))
(assert (= (+ (* syn1_0 syn2_r) (* 15 (* syn1_a syn2_r)) (* 6 (* syn1_d syn2_r)) (* 15 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 15 (* syn2_a syn2_q)) (* 15 syn2_a) (* 6 (* syn2_d syn2_q)) (* 6 syn2_d) (* 15 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 15 (* syn1_a syn1_r)) (* 15 syn1_a) (* 6 (* syn1_d syn1_r)) (* 6 syn1_d) (* syn1_q syn2_0) (* 15 (* syn1_q syn2_a)) (* 6 (* syn1_q syn2_d)) (* 15 (* syn1_q syn2_r)) (* 15 syn1_r)) 3))
(assert (= 15 15))
(assert (= 6 6))
(assert (= (+ (* syn1_0 syn2_r) (* 15 (* syn1_a syn2_r)) (* 6 (* syn1_d syn2_r)) (* 15 (* syn1_r syn2_r)) (* syn2_0 syn2_q) syn2_0 (* 15 (* syn2_a syn2_q)) (* 15 syn2_a) (* 6 (* syn2_d syn2_q)) (* 6 syn2_d) (* 15 (* syn2_q syn2_r))) 2))
(assert (= (+ (* syn1_0 syn1_r) syn1_0 (* 15 (* syn1_a syn1_r)) (* 15 syn1_a) (* 6 (* syn1_d syn1_r)) (* 6 syn1_d) (* syn1_q syn2_0) (* 15 (* syn1_q syn2_a)) (* 6 (* syn1_q syn2_d)) (* 15 (* syn1_q syn2_r)) (* 15 syn1_r)) 3))
(assert (= 17 17))
(assert (= (+ syn1_0 (* 17 syn1_a) (* 17 syn1_d) (* 17 syn1_r)) 0))
(assert (= (+ syn2_0 (* 17 syn2_a) (* 17 syn2_d) (* 17 syn2_r)) 1))
(assert (= 17 17))
(assert (= 17 17))
(assert (= 17 17))
(assert (= 17 17))
(assert (= (+ syn2_0 (* 17 syn2_a) (* 17 syn2_d) (* 17 syn2_r)) 1))
(assert (= (+ syn1_0 (* 17 syn1_a) (* 17 syn1_d) (* 17 syn1_r)) 0))
(assert (= 17 17))
(assert (= 17 17))
(assert (= (+ syn2_0 (* 17 syn2_a) (* 17 syn2_d) (* 17 syn2_r)) 1))
(assert (= (+ syn1_0 (* 17 syn1_a) (* 17 syn1_d) (* 17 syn1_r)) 0))

(check-sat)
(get-model)
