(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_nn () Real)
(declare-fun inv_np () Real)
(declare-fun inv_nq () Real)
(declare-fun inv_nr () Real)
(declare-fun inv_n () Real)
(declare-fun inv_pp () Real)
(declare-fun inv_pq () Real)
(declare-fun inv_pr () Real)
(declare-fun inv_p () Real)
(declare-fun inv_qq () Real)
(declare-fun inv_qr () Real)
(declare-fun inv_q () Real)
(declare-fun inv_rr () Real)
(declare-fun inv_r () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_n () Real)
(declare-fun phi1_p () Real)
(declare-fun phi1_q () Real)
(declare-fun phi1_r () Real)
(declare-fun phi1_0 () Real)
(declare-fun phi2_n () Real)
(declare-fun phi2_p () Real)
(declare-fun phi2_q () Real)
(declare-fun phi2_r () Real)
(declare-fun phi2_0 () Real)

(assert (not (and (= 0 inv_nn) (= 0 inv_np) (= 0 inv_nq) (= 0 inv_nr) (= 0 inv_n) (= 0 inv_pp) (= 0 inv_pq) (= 0 inv_pr) (= 0 inv_p) (= 0 inv_qq) (= 0 inv_qr) (= 0 inv_q) (= 0 inv_rr) (= 0 inv_r) (= 0 inv_0))))
(assert (= 0 inv_qq))
(assert (= 0 (+ inv_nq inv_qr)))
(assert (= 0 inv_q))
(assert (= 0 (+ inv_nn inv_nr inv_rr)))
(assert (= 0 (+ inv_n inv_r)))
(assert (= 0 inv_0))
(assert (= 0 (* (- 1) (* inv_nn phi1_n))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi1_p)) (* (- 1) (* inv_np phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi1_q)) inv_nn (* (- 1) (* inv_nq phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi1_r)) (* (- 1) (* inv_nr phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_n)) (* (- 1) (* inv_nn phi1_0)) (* (- 1) inv_nn))))
(assert (= 0 (+ (* (- 1) (* inv_np phi1_p)) (* (- 1) (* inv_pp phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_np phi1_q)) (* (/ 1 2) inv_np) (* (- 1) (* inv_nq phi1_p)) (* (- 1) (* inv_pq phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_np phi1_r)) (* (- 1) (* inv_nr phi1_p)) (* (- 1) (* inv_pr phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_p)) (* (- 1) (* inv_np phi1_0)) (* (/ (- 1) 2) inv_np) (* (- 1) (* inv_p phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nq phi1_q)) (* (/ 1 4) inv_nq) (* (- 1) (* inv_qq phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nq phi1_r)) (* (- 1) (* inv_nr phi1_q)) inv_nr (* (- 1) (* inv_qr phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_q)) inv_n (* (- 1) (* inv_nq phi1_0)) (* (/ (- 1) 4) inv_nq) (* (- 1) (* inv_q phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nr phi1_r)) (* (- 1) (* inv_rr phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_r)) (* (- 1) (* inv_nr phi1_0)) (* (- 1) inv_nr) (* (- 1) (* inv_r phi1_n)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_n)) (* (- 1) (* inv_n phi1_0)) (* (- 1) inv_n))))
(assert (= 0 (* (- 1) (* inv_pp phi1_p))))
(assert (= 0 (+ (* (- 1) (* inv_pp phi1_q)) (* (/ 1 4) inv_pp) (* (- 1) (* inv_pq phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_pp phi1_r)) (* (- 1) (* inv_pr phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_p phi1_p)) (* (- 1) (* inv_pp phi1_0)) (* (/ (- 1) 4) inv_pp))))
(assert (= 0 (+ (* (- 1) (* inv_pq phi1_q)) (* (/ 1 8) inv_pq) (* (- 1) (* inv_qq phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_pq phi1_r)) (* (- 1) (* inv_pr phi1_q)) (* (/ 1 2) inv_pr) (* (- 1) (* inv_qr phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_p phi1_q)) (* (/ 1 2) inv_p) (* (- 1) (* inv_pq phi1_0)) (* (/ (- 1) 8) inv_pq) (* (- 1) (* inv_q phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_pr phi1_r)) (* (- 1) (* inv_rr phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_p phi1_r)) (* (- 1) (* inv_pr phi1_0)) (* (/ (- 1) 2) inv_pr) (* (- 1) (* inv_r phi1_p)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_p)) (* (- 1) (* inv_p phi1_0)) (* (/ (- 1) 2) inv_p))))
(assert (= 0 (+ (* (- 1) (* inv_qq phi1_q)) (* (/ 1 16) inv_qq))))
(assert (= 0 (+ (* (- 1) (* inv_qq phi1_r)) (* (- 1) (* inv_qr phi1_q)) (* (/ 1 4) inv_qr))))
(assert (= 0 (+ (* (- 1) (* inv_q phi1_q)) (* (/ 1 4) inv_q) (* (- 1) (* inv_qq phi1_0)) (* (/ (- 1) 16) inv_qq))))
(assert (= 0 (+ (* (- 1) (* inv_qr phi1_r)) (* (- 1) (* inv_rr phi1_q)) inv_rr)))
(assert (= 0 (+ (* (- 1) (* inv_q phi1_r)) (* (- 1) (* inv_qr phi1_0)) (* (/ (- 1) 4) inv_qr) (* (- 1) (* inv_r phi1_q)) inv_r)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_q)) inv_0 (* (- 1) (* inv_q phi1_0)) (* (/ (- 1) 4) inv_q))))
(assert (= 0 (* (- 1) (* inv_rr phi1_r))))
(assert (= 0 (+ (* (- 1) (* inv_r phi1_r)) (* (- 1) (* inv_rr phi1_0)) (* (- 1) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_r)) (* (- 1) (* inv_r phi1_0)) (* (- 1) inv_r))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_0)) (* (- 1) inv_0))))
(assert (= 0 (* (- 1) (* inv_nn phi2_n))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi2_p)) (* (- 1) (* inv_np phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi2_q)) inv_nn (* (- 1) (* inv_nq phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi2_r)) (* (- 1) (* inv_nr phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi2_n)) (* (- 1) (* inv_nn phi2_0)) (* (- 1) inv_nn))))
(assert (= 0 (+ (* (- 1) (* inv_np phi2_p)) (* (- 1) (* inv_pp phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_np phi2_q)) (* (/ 1 2) inv_np) (* (- 1) (* inv_nq phi2_p)) (* (- 1) inv_nr) (* (- 1) (* inv_pq phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_np phi2_r)) (* (- 1) (* inv_nr phi2_p)) (* (- 1) (* inv_pr phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi2_p)) (* (- 1) (* inv_np phi2_0)) (* (/ (- 1) 2) inv_np) inv_nr (* (- 1) (* inv_p phi2_n)))))
(assert (= 0 (+ (* (/ 1 4) inv_np) (* (- 1) (* inv_nq phi2_q)) (* (/ 1 4) inv_nq) (* (/ (- 1) 4) inv_nr) (* (- 1) (* inv_qq phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nq phi2_r)) (* (- 1) (* inv_nr phi2_q)) inv_nr (* (- 1) (* inv_qr phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi2_q)) inv_n (* (/ (- 1) 4) inv_np) (* (- 1) (* inv_nq phi2_0)) (* (/ (- 1) 4) inv_nq) (* (/ 1 4) inv_nr) (* (- 1) (* inv_q phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_nr phi2_r)) (* (- 1) (* inv_rr phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi2_r)) (* (- 1) (* inv_nr phi2_0)) (* (- 1) inv_nr) (* (- 1) (* inv_r phi2_n)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_n)) (* (- 1) (* inv_n phi2_0)) (* (- 1) inv_n))))
(assert (= 0 (* (- 1) (* inv_pp phi2_p))))
(assert (= 0 (+ (* (- 1) (* inv_pp phi2_q)) (* (/ 1 4) inv_pp) (* (- 1) (* inv_pq phi2_p)) (* (/ (- 1) 2) inv_pr) inv_rr)))
(assert (= 0 (+ (* (- 1) (* inv_pp phi2_r)) (* (- 1) (* inv_pr phi2_p)))))
(assert (= 0 (+ (* (- 1) (* inv_p phi2_p)) (* (- 1) (* inv_pp phi2_0)) (* (/ (- 1) 4) inv_pp) (* (/ 1 2) inv_pr) (* (- 1) inv_rr))))
(assert (= 0 (+ (* (/ 1 4) inv_pp) (* (- 1) (* inv_pq phi2_q)) (* (/ 1 8) inv_pq) (* (/ (- 3) 8) inv_pr) (* (- 1) (* inv_qq phi2_p)) (* (/ (- 1) 4) inv_qr) (* (/ 1 2) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_pq phi2_r)) (* (- 1) (* inv_pr phi2_q)) (* (/ 1 2) inv_pr) (* (- 1) (* inv_qr phi2_p)) (* (- 2) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_p phi2_q)) (* (/ 1 2) inv_p) (* (/ (- 1) 4) inv_pp) (* (- 1) (* inv_pq phi2_0)) (* (/ (- 1) 8) inv_pq) (* (/ 3 8) inv_pr) (* (- 1) (* inv_q phi2_p)) (* (/ 1 4) inv_qr) (* (- 1) inv_r) (* (/ (- 1) 2) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_pr phi2_r)) (* (- 1) (* inv_rr phi2_p)))))
(assert (= 0 (+ (* (- 1) (* inv_p phi2_r)) (* (- 1) (* inv_pr phi2_0)) (* (/ (- 1) 2) inv_pr) (* (- 1) (* inv_r phi2_p)) (* 2 inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_p)) (* (- 1) (* inv_p phi2_0)) (* (/ (- 1) 2) inv_p) inv_r)))
(assert (= 0 (+ (* (/ 1 16) inv_pp) (* (/ 1 16) inv_pq) (* (/ (- 1) 16) inv_pr) (* (- 1) (* inv_qq phi2_q)) (* (/ 1 16) inv_qq) (* (/ (- 1) 16) inv_qr) (* (/ 1 16) inv_rr))))
(assert (= 0 (+ (* (/ 1 4) inv_pr) (* (- 1) (* inv_qq phi2_r)) (* (- 1) (* inv_qr phi2_q)) (* (/ 1 4) inv_qr) (* (/ (- 1) 2) inv_rr))))
(assert (= 0 (+ (* (/ 1 4) inv_p) (* (/ (- 1) 16) inv_pp) (* (/ (- 1) 16) inv_pq) (* (/ 1 16) inv_pr) (* (- 1) (* inv_q phi2_q)) (* (/ 1 4) inv_q) (* (- 1) (* inv_qq phi2_0)) (* (/ (- 1) 16) inv_qq) (* (/ 1 16) inv_qr) (* (/ (- 1) 4) inv_r) (* (/ (- 1) 16) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_qr phi2_r)) (* (- 1) (* inv_rr phi2_q)) inv_rr)))
(assert (= 0 (+ (* (/ (- 1) 4) inv_pr) (* (- 1) (* inv_q phi2_r)) (* (- 1) (* inv_qr phi2_0)) (* (/ (- 1) 4) inv_qr) (* (- 1) (* inv_r phi2_q)) inv_r (* (/ 1 2) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_q)) inv_0 (* (/ (- 1) 4) inv_p) (* (- 1) (* inv_q phi2_0)) (* (/ (- 1) 4) inv_q) (* (/ 1 4) inv_r))))
(assert (= 0 (* (- 1) (* inv_rr phi2_r))))
(assert (= 0 (+ (* (- 1) (* inv_r phi2_r)) (* (- 1) (* inv_rr phi2_0)) (* (- 1) inv_rr))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_r)) (* (- 1) (* inv_r phi2_0)) (* (- 1) inv_r))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi2_0)) (* (- 1) inv_0))))

(check-sat)
(get-model)
